apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: coredns-servicemonitor
  namespace: kube-system
spec:
  endpoints:
  - interval: 30s
    path: metrics
    port: prometheus
  jobLabel: app
  selector:
    matchLabels:
      k8s-app: kube-dns
